Subject: [alpine-devel] [PATCH] testing/libreswan: fix init script

From: Borys Zhukov <[email-masked]>
Date: Sun, 8 Sep 2013 00:47:51 +0000

---
 testing/libreswan/APKBUILD    | 41 +++++++++++++++++++----------------------
 testing/libreswan/ipsec.initd | 25 -------------------------
 2 files changed, 19 insertions(+), 47 deletions(-)
 delete mode 100644 testing/libreswan/ipsec.initd

diff --git a/testing/libreswan/APKBUILD b/testing/libreswan/APKBUILD
index cbf98ef..c35bf69 100644
--- a/testing/libreswan/APKBUILD
+++ b/testing/libreswan/APKBUILD
@@ -2,26 +2,29 @@
 
 pkgname=libreswan
 pkgver=3.5
-pkgrel=1
-pkgdesc='IPsec implementation for Linux'
-url='https://libreswan.org/'
-arch='all'
-license='GPL'
-depends='nss-tools'
-depends_dev='gmp-dev linux-pam-dev nss-dev unbound-dev libcap-ng-dev curl-dev nspr-dev'
+pkgrel=2
+pkgdesc="IPsec implementation for Linux"
+url="https://libreswan.org"
+arch="all"
+license="GPLv2"
+depends="nss-tools"
+depends_dev="gmp-dev linux-pam-dev nss-dev unbound-dev libcap-ng-dev curl-dev nspr-dev"
 makedepends="$depends_dev bison flex pkgconf coreutils bash"
 subpackages="$pkgname-doc"
-source="http://download.libreswan.org/libreswan-$pkgver.tar.gz
-	ipsec.initd"
+source="https://download.libreswan.org/libreswan-$pkgver.tar.gz"
 
+_builddir="$srcdir"/$pkgname-$pkgver
 build() {
-  cd "$srcdir"/$pkgname-$pkgver
-  make programs || return 1
-  #make module || return 1 
+	cd "$_builddir"
+	make INC_RCDEFAULT=/etc/init.d \
+		INC_USRLOCAL=/usr \
+		FINALBINDIR=/usr/libexec/ipsec \
+		FINALLIBEXECDIR=/usr/libexec/ipsec \
+		programs || return 1
 }
 
 package() {
-	cd "$srcdir"/$pkgname-$pkgver
+	cd "$_builddir"
 	make INC_MANDIR=share/man \
 		INC_RCDEFAULT=/etc/init.d \
 		INC_USRLOCAL=/usr \
@@ -30,13 +33,7 @@ package() {
 		FINALBINDIR=/usr/libexec/ipsec \
 		FINALLIBEXECDIR=/usr/libexec/ipsec \
 		install || return 1
-	install -Dm755 "$srcdir"/ipsec.initd "$pkgdir"/etc/init.d/ipsec \
-		|| return 1
 }
-
-md5sums="7dbf9dbd79836b567e3231006eed3109  libreswan-3.5.tar.gz
-014d8187d22a348a04dd2fdba4fc0d46  ipsec.initd"
-sha256sums="0115f84c0171908b5c9b8b7d59aba42933bd50f2cb88483f752f72e16f2fd880  libreswan-3.5.tar.gz
-f21668846fdf6d01a7d92672adf0a5dda63f827b317ab0253a7c627968656d8f  ipsec.initd"
-sha512sums="bed9c56118b141e2054c7eead027df4aabbd2ff996d329e4c59411d418e70f35f329142a5ceb0f047cd2dafea2f45d5e0933f57c84b09387990b3d364ae81462  libreswan-3.5.tar.gz
-c245b20e1ea8bd1a615f467e72ccbb3df7b63a60d1fcdb7b485a791377a0adfa75942ed73a6fb1c792eca472c92d3d524e33ba0594467738aac3aaa9123778b2  ipsec.initd"
+md5sums="7dbf9dbd79836b567e3231006eed3109  libreswan-3.5.tar.gz"
+sha256sums="0115f84c0171908b5c9b8b7d59aba42933bd50f2cb88483f752f72e16f2fd880  libreswan-3.5.tar.gz"
+sha512sums="bed9c56118b141e2054c7eead027df4aabbd2ff996d329e4c59411d418e70f35f329142a5ceb0f047cd2dafea2f45d5e0933f57c84b09387990b3d364ae81462  libreswan-3.5.tar.gz"
diff --git a/testing/libreswan/ipsec.initd b/testing/libreswan/ipsec.initd
deleted file mode 100644
index d5bb222..0000000
--- a/testing/libreswan/ipsec.initd
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/sbin/runscript
-
-# libreswan ipsec init.d file for alpine linux.
-
-name=ipsec
-daemon=/usr/libexec/ipsec/setup
-pidfile=/var/run/pluto/ipsec_setup.pid
-
-depend() {
-	need net
-	after firewall
-}
-
-start() {
-	ebegin "Starting ${name}"
-		$daemon start
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping ${name}"
-		$daemon stop
-	eend $?
-}
-
-- 
1.8.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---